Bug 1400 - Fedora SRPM will not compile in x86_64
Fedora SRPM will not compile in x86_64
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Packaging
3.0.11
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 16:35 UTC by Nick Edens
Modified: 2006-01-25 05:55 UTC (History)
0 users

See Also:


Attachments
3.0.20a specfile patch (1.40 KB, patch)
2005-10-07 19:31 UTC, Tom Diehl
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Edens 2004-05-27 16:35:18 UTC
When rebuilding from the source rpms on x86_64 on Fedora Core 1 with all
updates I am getting the following error.

...

 RPM build errors:
     File not found: /var/tmp/samba-3.0.4-root/usr/lib64/samba/vfs
     File not found: /var/tmp/samba-3.0.4-root/usr/lib64/samba/lowcase.dat
     File not found: /var/tmp/samba-3.0.4-root/usr/lib64/samba/upcase.dat
     File not found: /var/tmp/samba-3.0.4-root/usr/lib64/samba/valid.dat
     File not found by glob:
 /var/tmp/samba-3.0.4-root/usr/lib64/samba/charset/CP*.so
     File not found by glob:
/var/tmp/samba-3.0.4-root/usr/lib64/samba/*.msg
 --------------------------------------

This builds fine on my Fedora Core 1 i386 system so I am thinking
it has something to do with the building just on x86_64 platforms.
Comment 1 Gerald (Jerry) Carter 2005-02-11 07:51:46 UTC
pleas retest against 3.0.11.  I thought we fixed this.
Comment 2 Nick Edens 2005-02-11 11:18:39 UTC
Problem still exists.

RPM build errors:
    File not found: /var/tmp/samba-3.0.11-root/usr/lib64/samba/vfs
    File not found: /var/tmp/samba-3.0.11-root/usr/lib64/samba/lowcase.dat
    File not found: /var/tmp/samba-3.0.11-root/usr/lib64/samba/upcase.dat
    File not found: /var/tmp/samba-3.0.11-root/usr/lib64/samba/valid.dat
    File not found by glob:
/var/tmp/samba-3.0.11-root/usr/lib64/samba/charset/CP*.so
    File not found by glob: /var/tmp/samba-3.0.11-root/usr/lib64/samba/*.msg
Comment 3 Gerald (Jerry) Carter 2005-02-11 11:42:37 UTC
Thanks.  I'll try to find an x86_64 box to debug this on.
If I can't find one I'll send you some patches.
Comment 4 Jeremy Allison 2005-02-11 12:10:07 UTC
I have a fedora core 3 X86_64 box at home. I can try this (but might be after LW).
Jeremy
Comment 5 Tom Diehl 2005-10-07 19:31:32 UTC
Created attachment 1494 [details]
3.0.20a specfile patch

This is the changes I made to get the fc4 rpm to build on x86_64
Comment 6 Tom Diehl 2005-10-07 19:49:04 UTC
For the record I am having the same problem building the fc4 rpm on x86_64. The
patch I attached above WORKSFORME, although I suspect there is a better way to
do this.
Comment 7 Gerald (Jerry) Carter 2006-01-25 05:55:16 UTC
on 64 bit Linux platforms we should use /usr/lib64/  This will finially
be fixed in 3.0.21b.  Thanks for the patch though.